vLookUps no longer working

Forums vLooup for SharePoint vLookUps no longer working

Tagged: 

This topic contains 7 replies, has 2 voices, and was last updated by  Alexander Bautz 2 years, 1 month ago.

  • Author
    Posts
  • #8986

    JGMcLoughlin
    Participant

    Alexander,

    We recently upgraded to the most recent release of DFFS – first to July 11 version, then to October 25 version. For most of our lists DFFS & vLookUp’s work fine, however for our most important list they have stopped working. Instead of displaying the selected columns from the child table, all we get is the name of the vLookup beside a basic text box.

    Are you able to assist? We purchased through SP Marketplace.
    Is there document that shows what differences there are between the configurations of the various versions? Anything that can get our vLookups back and working would be most appreciated.

    John

    Attachments:
  • #8992

    Alexander Bautz
    Keymaster

    Hi,
    The change log for vLookup can be found her: http://spjsblog.com/vlookup-for-sharepoint/vlookup-change-log/

    Are you seeing any errors in the developer console (hit F12 > Console)?

    You can try downgrading to the vLookup frontend version 2.252 (October 5) to see if this helps.

    Alexander

  • #8997

    JGMcLoughlin
    Participant

    Hi Alexander,

    I have taken the DFFS back to v4.035 for that list – using the CEWP method, and the vLookups are still not working. I have gone to the Console and there are no errors showing up.

    Is there anything else I can look at?

    John

  • #8999

    JGMcLoughlin
    Participant

    Here is an update. I just went into the dispform and found the following:

    1. The console popped up an error (see attachment)
    2. The vLookups were working!!

    Attachments:
  • #9002

    Alexander Bautz
    Keymaster

    What I originally meant was to try vLookup_frontend.js v2.252 from the October 06 “DFFS Package”.

    The error you see now is related to a mismatch between the DFFS and vLookup version.

    Could you try with the latest DFFS files (DFFS_frontend_min.js and DFFS_backend_min.js) and the vLookup files from the October 06 package?

    Alexander

  • #9009

    JGMcLoughlin
    Participant

    Alexander,

    Sorry if I am going off on the direction. Here is what I have done following your last message:

    I copied the following files from the Oct 6 download to a folder called JQuery of the site I am working on (this is the original location of the files from the date of installation). Those files already exist in the DFFS directory.

    I am still using the inline CEWP method of connected, rather than the in-list column method. Should I try that?

    Incidentally when I do as suggested I lose a number of tabs from the form – they are still defined, but not visible. DO I need to change the rules?

    I still get the same result, except this time I am getting nagged about a trial licence having expired – see attached.

    John

    Attachments:
  • #9015

    JGMcLoughlin
    Participant

    For Information – here are the version numbers that appear at the top of DFFS:

    Attachments:
  • #9021

    Alexander Bautz
    Keymaster

    Hi,
    I’m afraid it’s difficult to go into details on upgrading DFFS on your existing templates from SPMarketplace. I suggest you try to set up DFFS in a clean list first to ensure you have the setup correct.

    Depending on the version of DFFS, and any customizations made by SPMarketplace, you might have to go in and reconfigure some rules. You should probably consult them as they will have insight into how the rules are configured, and any special things you need to address.

    Regarding the validation error:
    Depending on the version of your site templates from SPMarketplace, you might have an older license code. As this is provided by SPMarketplace as an OEM-License I’m afraid you will have to contact them to get an updated license code for use with the latest version.

    If you however want to use DFFS in other sites than the site templates you bought from SPMarketplace, you must buy a new license from me directly.

    I’m sorry I cannot be more specific.

    Best regards,
    Alexander

You must be logged in to reply to this topic.